%global realname proper
%global upstream manopapad
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:       erlang-%{realname}
Version:    1.2
Release:    4%{?dist}

License:    GPLv3+
Summary:    A QuickCheck-inspired property-based testing tool for Erlang
URL:        https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:    https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
Patch0:     0000-Add-timeout-values-that-work-on-ARM.patch

BuildRequires: erlang-rebar


%description
PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
open-source property-based testing tool for Erlang.


%prep
%setup -q -n %{realname}-%{version}

%patch0 -p1


%build
%{erlang_compile}
./make_doc


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license COPYING
%doc doc
%doc examples
%doc README.md
%{erlang_appdir}/


%changelog
* Sat Feb 25 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.2-4
- Apply a patch from upstream that allows the slow arches to pass all tests.

* Sun Feb 19 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.2-3
- Skip a test on slow arches, as it is too slow and times out (#1423535).
- Replace some tabs with spaces.
- Reorganize the spec file a bit.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.2-1
- Ver. 1.2

* Sat Mar  5 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.1-6
- Build with autodeps

* Sun Feb 21 2016 Randy Barlow <rbarlow@redhat.com> 1.1-5
- Package commit 1b773eeb (current master) because 1.1 FTBFS (#1307470).
- The unit tests do not pass on current master, so they are disabled.
- Use the autosetup macro.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Randy Barlow <rbarlow@redhat.com> - 1.1-3
- Use the erllibdir macro.

* Thu Jan 07 2016 Randy Barlow <rbarlow@redhat.com> - 1.1-2
- Correct the license from GPLv3 to GPLv3+.

* Tue Jan 05 2016 Randy Barlow <rbarlow@redhat.com> - 1.1-1
- Initial release.
